package org.processmining.pmind.models;

import org.processmining.models.graphbased.AttributeMap;

public abstract class DMNActivity extends DMNNode{

	protected Activity activity;
	
	public DMNActivity(DMNModel net, Activity a) {
		super(net);
		this.activity = a;
		getAttributeMap().put(AttributeMap.LABEL, activity.getName());
	}

	public Activity getActivity(){
		return activity;
	}
	
	public boolean equals(Object o) {
		DMNActivity a = null;
		if(o instanceof DMNActivity)
			a = (DMNActivity) o;
		else
			return false;
		if(activity.equals(a.getActivity()))
			return true;
		return false;
	}
	
}

