package org.processmining.pmind.models;

import org.processmining.models.graphbased.AttributeMap;
import org.processmining.plugins.graphviz.dot.Dot;

public class DMNInput extends DMNNode{

	private DMNAttribute att;
	
	public DMNInput(DMNModel net, Dot d, DMNAttribute a) {
		super(net);
		this.att = a;
		getAttributeMap().put(AttributeMap.LABEL, att.toDotString());
		this.node = d.addNode(getLabel());
	}
	
	public DMNAttribute getAttribute(){
		return att;
	}

	public boolean equals(Object o) {
		DMNInput a = null;
		if(o instanceof DMNInput)
			a = (DMNInput) o;
		else
			return false;
		if(att.equals(a.getAttribute()))
			return true;
		return false;
	}
	
}
