package org.processmining.pmind.algorithms.autocorrelations;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;

public class HelpFunctions {

	public static Collection<String> getLevels(ArrayList<String> data){
		HashSet<String> levels = new HashSet<String>();
		boolean numeric = true;
		for(String s: data){
			try{
				Double.valueOf(s);
			}catch(NumberFormatException f){
				numeric = false;
			}
			levels.add(s);
		}
		if(numeric)
			levels.clear();
		return levels;
	}
	
}
