package org.processmining.pmind.algorithms.concept;

import org.deckfour.xes.classification.XEventClass;
import org.processmining.pmind.models.DMNAttribute;

public class Shift implements Comparable<Shift>{

	private XEventClass eventT;
	private DMNAttribute attribute;
	private int traceNo;
	private int position;
	
	public Shift(XEventClass eventT, DMNAttribute att, int traceNo, int pos){
		this.eventT = eventT;
		this.attribute = att;
		this.traceNo = traceNo;
		this.position = pos;
	}
	
	public XEventClass getEventType(){
		return eventT;
	}
	
	public DMNAttribute getAttribute(){
		return attribute;
	}
	
	public int getTraceNo(){
		return traceNo;
	}
	
	public int getPosition(){
		return position;
	}

	public int compareTo(Shift arg0) {
		if(arg0.getTraceNo()==traceNo)
			if(arg0.getPosition()<position)
				return 1;
			else
				return -1;			
		return 0;
	}
	
}
