package org.processmining.pmind.algorithms.concept;

import java.util.Collection;

import org.processmining.pmind.models.DMNModel;

public class TraceCluster {

	private Collection<DMNModel> models;
	private Collection<Integer> traces;
	private Object[] petrinet;
	
	public TraceCluster(Collection<DMNModel> m, Collection<Integer> i, Object[] p){
		this.models = m;
		this.traces = i;
		this.petrinet = p;
	}	
	
	public Collection<DMNModel> getModels(){
		return models;
	}
	
	public Collection<Integer> getTraces(){
		return traces;
	}
	
	public Object[] getPetriNet(){
		return petrinet;
	}
	
}
