package org.processmining.pmind.models;

import org.processmining.models.graphbased.directed.AbstractDirectedGraph;
import org.processmining.models.graphbased.directed.AbstractDirectedGraphNode;
import org.processmining.plugins.graphviz.dot.DotNode;

public abstract class DMNNode extends AbstractDirectedGraphNode{

	private DMNModel net;
	
	protected DotNode node;
		
	public DMNNode(DMNModel net){
		this.net = net;	
	}
	
	public void addDotNode(DotNode node){
		this.node = node;
	}
	
	public DotNode getDotNode(){
		return node;
	}
		
	public AbstractDirectedGraph<?, ?> getGraph() {
		return net.getGraph();
	}
	
	public abstract boolean equals(Object o);
	
}
